%define texmf       %{_datadir}/texmf
%define tdsname     lgrind 
%define itexhash    $RPM_INSTALL_PREFIX/bin/texhash
%define itexmf      $RPM_INSTALL_PREFIX/share/texmf

Summary:          Source-code pretty-printer for LaTeX
Name:             tetex-lgrind
Version:          3.67
Release:          0.fdr.4.rh90
Epoch:            0
URL:              http://www.ctan.org/tex-archive/support/lgrind
License:          BSD
Group:            Applications/Publishing
# NOTE: This tarball cannot be verified directly as it is
# automatically generated by the FTP site. To verify the file, the
# file contained in the tarballs have to be verified one by one.
Source0:          ftp://ftp.dante.de/tex-archive/support/lgrind.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root
Requires(post,postun): tetex
Requires:         tetex-latex
BuildRequires:    tetex-latex, perl
Prefix:           %{_prefix}

%description
LGrind prepares programming language source code for pretty-printing
within LaTeX. Options for producing includable files and processing
embedded listings in LaTeX texts are provided. Supported languages
include C, C++, Pascal, BASIC, Modula-2, Fortran, RATFOR Yacc,
PostScript, Prolog, MLisp, Icon, LaTeX, Perl, CSH Bourne Shell,
assembler, 68000 assembler, asm68 VMS assembler, ISP, LDL, Linda,
MODEL, MatLab, and Russell.

%prep
%setup -q -n lgrind

%build
make %{?_smp_mflags} \
  CFLAGS="%{optflags}" \
  DEFSFILE=%{texmf}/tex/latex/%{tdsname}/lgrindef

# Quick and dirty patching of man pages.
perl -pi -e 's|/usr/lib/texmf/|/usr/share/texmf|' source/lgrind.1
perl -pi -e 's|/usr/TeX/texmf/|/usr/share/texmf|' source/lgrindef.5

%install
rm -rf %{buildroot}
 
# Install TeX files.
mkdir -p %{buildroot}%{texmf}/tex/latex/%{tdsname}/
install -m 644 lgrind.sty %{buildroot}%{texmf}/tex/latex/%{tdsname}/
install -m 644 lgrindef %{buildroot}%{texmf}/tex/latex/%{tdsname}/

# Install binaries.
mkdir -p %{buildroot}%{_bindir}/
install -m 755 source/lgrind %{buildroot}%{_bindir}/

# Install man pages.
mkdir -p %{buildroot}%{_mandir}/man{1,5}
install -m 644 source/lgrind.1 %{buildroot}%{_mandir}/man1
install -m 644 source/lgrindef.5 %{buildroot}%{_mandir}/man5

%clean
rm -rf %{buildroot}

%post
%{itexhash} %{itexmf} > /dev/null

%postun
%{itexhash} %{itexmf} > /dev/null

%files
%defattr(-,root,root,-)
%doc README FAQ lgrind.dvi
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%{texmf}/tex/latex/%{tdsname}

%changelog
* Fri May  2 2003 Marius Johndal <mariuslj at ifi.uio.no> 0:3.67-0.fdr.4
- Invoke make with %{?_smp_mflags} and from top-level directory to get
  defines right.

* Fri May  2 2003 Marius Johndal <mariuslj at ifi.uio.no> 0:3.67-0.fdr.3
- Honour %{optflags}.
- BuildRequires: perl.
- PreReq -> Requires(post,postun).
- setup -q.

* Sat Apr  5 2003 Marius Johndal <mariuslj at ifi.uio.no> 3.67-0.fdr.2
- Added missing lgrindef file.
- Added epoch.

* Thu Mar  6 2003 Marius Johndal <mariuslj at ifi.uio.no> 3.67-0.fdr.1
- Initial RPM release.
